curl --request POST \
--url https://sandbox.cashfree.com/pg/offers \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"offer_meta": {
"offer_title": "Test Offer",
"offer_description": "Offer Description",
"offer_code": "CFTESTOFFER",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_end_time": "2024-03-21T08:09:51Z"
},
"offer_tnc": {
"offer_tnc_type": "text",
"offer_tnc_value": "Terms and Condition of the Offer"
},
"offer_details": {
"offer_type": "DISCOUNT_AND_CASHBACK",
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "10",
"max_cashback_amount": "10"
}
},
"offer_validations": {
"min_amount": 15,
"max_allowed": 100,
"payment_method": {
"card": {
"type": [
"cc"
],
"bank_name": "hdfc bank",
"scheme_name": [
"visa"
]
}
}
}
}
'{
"offer_id": "d2b430fb-1afe-455a-af31-66d00377b29a",
"offer_status": "active",
"order_amount": 123,
"payable_amount": 123,
"offer_meta": {
"offer_code": "CFTESTOFFER",
"offer_description": "some offer description",
"offer_end_time": "2023-03-29T08:09:51Z",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_title": "some title"
},
"offer_tnc": {
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer."
},
"offer_details": {
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
},
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"offer_type": "DISCOUNT_AND_CASHBACK"
},
"offer_validations": {
"max_allowed": 2,
"min_amount": 10,
"payment_method": {
"wallet": {
"issuer": "paytm"
}
}
}
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Create Offer
Use this API to create offers with Cashfree from your backend.
curl --request POST \
--url https://sandbox.cashfree.com/pg/offers \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"offer_meta": {
"offer_title": "Test Offer",
"offer_description": "Offer Description",
"offer_code": "CFTESTOFFER",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_end_time": "2024-03-21T08:09:51Z"
},
"offer_tnc": {
"offer_tnc_type": "text",
"offer_tnc_value": "Terms and Condition of the Offer"
},
"offer_details": {
"offer_type": "DISCOUNT_AND_CASHBACK",
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "10",
"max_cashback_amount": "10"
}
},
"offer_validations": {
"min_amount": 15,
"max_allowed": 100,
"payment_method": {
"card": {
"type": [
"cc"
],
"bank_name": "hdfc bank",
"scheme_name": [
"visa"
]
}
}
}
}
'{
"offer_id": "d2b430fb-1afe-455a-af31-66d00377b29a",
"offer_status": "active",
"order_amount": 123,
"payable_amount": 123,
"offer_meta": {
"offer_code": "CFTESTOFFER",
"offer_description": "some offer description",
"offer_end_time": "2023-03-29T08:09:51Z",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_title": "some title"
},
"offer_tnc": {
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer."
},
"offer_details": {
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
},
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"offer_type": "DISCOUNT_AND_CASHBACK"
},
"offer_validations": {
"max_allowed": 2,
"min_amount": 10,
"payment_method": {
"wallet": {
"issuer": "paytm"
}
}
}
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Body
Request parameters to create offers with Cashfree from your backend.
Offer meta details object.
Show child attributes
Show child attributes
{
"offer_title": "some title",
"offer_description": "some offer description",
"offer_code": "CFTESTOFFER",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_end_time": "2023-03-29T08:09:51Z"
}
Offer terms and condition object.
Show child attributes
Show child attributes
{
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer."
}
Offer details and type.
Show child attributes
Show child attributes
{
"offer_type": "DISCOUNT_AND_CASHBACK",
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
}
}
Offer validation object.
Show child attributes
Show child attributes
{
"min_amount": 10,
"payment_method": { "wallet": { "issuer": "paytm" } },
"max_allowed": 2
}
Response
Success response for creating offers with Cashfree from your backend.
"d2b430fb-1afe-455a-af31-66d00377b29a"
"active"
Offer meta response details object.
Show child attributes
Show child attributes
{
"offer_code": "CFTESTOFFER",
"offer_description": "some offer description",
"offer_end_time": "2023-03-29T08:09:51Z",
"offer_start_time": "2023-03-21T08:09:51Z",
"offer_title": "some title"
}
Offer terms and condition object.
Show child attributes
Show child attributes
{
"offer_tnc_type": "text",
"offer_tnc_value": "TnC for the Offer."
}
Offer details response and type.
Show child attributes
Show child attributes
{
"cashback_details": {
"cashback_type": "percentage",
"cashback_value": "20",
"max_cashback_amount": "150"
},
"discount_details": {
"discount_type": "flat",
"discount_value": "10",
"max_discount_amount": "10"
},
"offer_type": "DISCOUNT_AND_CASHBACK"
}
Offer validation object.
Show child attributes
Show child attributes
{
"max_allowed": 2,
"min_amount": 10,
"payment_method": { "wallet": { "issuer": "paytm" } }
}
Was this page helpful?